Patches for aports can be sent to this list

8 4

[alpine-aports] [PATCH 1/6] testing/gdal: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-1-git-send-email-trevor@notcows.com>
Sender timestamp
1456710888
DKIM signature
missing
Download raw message
Patch: +54 -0
http://gdal.org
a translator library for raster and vector geospatial data formats
---
 testing/gdal/APKBUILD | 54 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/gdal/APKBUILD

diff --git a/testing/gdal/APKBUILD b/testing/gdal/APKBUILD
new file mode 100644
index 0000000..4f3cd5d
--- /dev/null
+++ b/testing/gdal/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=gdal
+pkgver=2.0.2
+pkgrel=0
+pkgdesc="a translator library for raster and vector geospatial data formats"
+url="http://gdal.org"
+arch="x86_64"
+license="MIT"
+depends=""
+depends_dev="gdal"
+depends_py="gdal python"
+makedepends="giflib-dev jpeg-dev libjpeg-turbo-dev libpng-dev tiff-dev zlib-dev swig python-dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc py-$pkgname:py"
+source="http://download.osgeo.org/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr
+	make -j8 || return 1
+}
+
+py() {
+        pkgdesc="$pkgname python bindings"                                                                                            
+	mkdir -p "$subpkgdir"/usr/lib
+	mkdir -p "$subpkgdir"/usr/bin
+	cd "$_builddir"/swig/python
+	python setup.py build || return 1
+	python setup.py install --prefix=/usr --root="$subpkgdir"
+        chmod a+x scripts/*
+        cp scripts/* $subpkgdir/usr/bin/
+}
+
+package() {
+	cd "$_builddir"
+	install -Dm644 LICENSE.TXT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.TXT
+        make DESTDIR="${pkgdir}" install || return 1                                                                                  
+}
+
+md5sums="940208e737c87d31a90eaae43d0efd65  gdal-2.0.2.tar.xz"
+sha256sums="90f838853cc1c07e55893483faa7e923e4b4b1659c6bc9df3538366030a7e622  gdal-2.0.2.tar.xz"
+sha512sums="45b91834ec3b4908344d6ab29a2ffea1cfc245859e322d9630179bb811183c52cb8aaa6901c522e749ca4932b3dabb9895ca501e6c9cde6f8ff20cdfed24d778  gdal-2.0.2.tar.xz"
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/6] testing/py-affine: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-2-git-send-email-trevor@notcows.com>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1456710889
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/sgillies/affine
Matrices describing affine transformation of the plane.
---
 testing/py-affine/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-affine/APKBUILD

diff --git a/testing/py-affine/APKBUILD b/testing/py-affine/APKBUILD
new file mode 100644
index 0000000..14969ba
--- /dev/null
+++ b/testing/py-affine/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=py-affine
+pkgver="1.2.0"
+pkgrel=0
+pkgdesc="Matrices describing affine transformation of the plane."
+url="https://github.com/sgillies/affine"
+arch="all"
+license="MIT"
+depends="python"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install affine --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/6] testing/py-click-plugins: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-3-git-send-email-trevor@notcows.com>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1456710890
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/click-contrib/click-plugins
An extension module for click to enable registering CLI commands via setuptools entry-points.
---
 testing/py-click-plugins/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-click-plugins/APKBUILD

diff --git a/testing/py-click-plugins/APKBUILD b/testing/py-click-plugins/APKBUILD
new file mode 100644
index 0000000..f3c89a8
--- /dev/null
+++ b/testing/py-click-plugins/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=py-click-plugins
+pkgver="1.0.3"
+pkgrel=0
+pkgdesc="An extension module for click to enable registering CLI commands via setuptools entry-points."
+url="https://github.com/click-contrib/click-plugins"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install click-plugins --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/6] testing/py-cligj: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-4-git-send-email-trevor@notcows.com>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1456710891
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/mapbox/cligj
Click params for commmand line interfaces to GeoJSON
---
 testing/py-cligj/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-cligj/APKBUILD

diff --git a/testing/py-cligj/APKBUILD b/testing/py-cligj/APKBUILD
new file mode 100644
index 0000000..d5b6a86
--- /dev/null
+++ b/testing/py-cligj/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=py-cligj
+pkgver="0.4.0"
+pkgrel=0
+pkgdesc="Click params for commmand line interfaces to GeoJSON"
+url="https://github.com/mapbox/cligj"
+arch="all"
+license="BSD"
+depends="python py-click"
+makedepends="python-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install cligj --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 5/6] testing/py-rasterio: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-5-git-send-email-trevor@notcows.com>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1456710892
DKIM signature
missing
Download raw message
Patch: +30 -0
https://github.com/mapbox/rasterio
Fast and direct raster I/O for use with Numpy and SciPy
---
 testing/py-rasterio/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 testing/py-rasterio/APKBUILD

diff --git a/testing/py-rasterio/APKBUILD b/testing/py-rasterio/APKBUILD
new file mode 100644
index 0000000..5eaafbc
--- /dev/null
+++ b/testing/py-rasterio/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=py-rasterio
+pkgver="0.31.0"
+pkgrel=0
+pkgdesc="Fast and direct raster I/O for use with Numpy and SciPy"
+url="https://github.com/mapbox/rasterio"
+arch="all"
+license="BSD"
+depends="python py-numpy py-snuggs py-enum34 py-click-plugins py-affine py-cligj gdal"
+makedepends="py-pip python-dev py-numpy-dev gdal-dev"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install rasterio --no-deps --root "$pkgdir"
+}
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 6/6] testing/py-snuggs: new aport

Trevor R.H. Clarke
Details
Message ID
<1456710893-45438-6-git-send-email-trevor@notcows.com>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1456710893
DKIM signature
missing
Download raw message
Patch: +36 -0
https://github.com/mapbox/snuggs
Snuggs are s-expressions for Numpy
---
 testing/py-snuggs/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/py-snuggs/APKBUILD

diff --git a/testing/py-snuggs/APKBUILD b/testing/py-snuggs/APKBUILD
new file mode 100644
index 0000000..71667b9
--- /dev/null
+++ b/testing/py-snuggs/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
+# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
+pkgname=py-snuggs
+pkgver="1.3.1"
+pkgrel=0
+pkgdesc="Snuggs are s-expressions for Numpy"
+url="https://github.com/mapbox/snuggs"
+arch="all"
+license="MIT"
+depends="python py-numpy py-click py-parsing"
+makedepends="python-dev py-numpy-dev py-pip"
+install=""
+subpackages=""
+source=""
+
+_builddir="$srcdir"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	pip install snuggs --no-deps --root "$_builddir"
+}
+
+package() {
+	cd "$_builddir"
+        mkdir -p "$pkgdir"
+        cp -r usr "$pkgdir/"
+}
-- 
2.4.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Sören Tempel
Details
Message ID
<20160305193151.GA21909@calcium.lan>
In-Reply-To
<1456710893-45438-1-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1457206311
DKIM signature
missing
Download raw message
On 28.02.16, Trevor R.H. Clarke wrote:
> +depends_py="gdal python"

I have never heard of this variable. I don't think that abuild actually
uses this for anything…

On 28.02.16, Trevor R.H. Clarke wrote:
> +prepare() {
> +	local i
> +	cd "$_builddir"
> +	for i in $source; do
> +		case $i in
> +		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
> +		esac
> +	done
> +}

As of abuild 2.26.0 this is the default prepare function you no longer
need to supply it explicitly.

On 28.02.16, Trevor R.H. Clarke wrote:
> +build() {
> +	cd "$_builddir"
> +	./configure --prefix=/usr
> +	make -j8 || return 1
> +}

You don't want to explicitly pass -j8 to make here. Usually the amount
of makejobs to use is set using the MAKEFLAGS environment variable in
abuild.conf. Generally speaking -j is only set explicitly when the
package doesn't support parallel builds.

On 28.02.16, Trevor R.H. Clarke wrote:
> +py() {
> +        pkgdesc="$pkgname python bindings"                                                                                            
> +	mkdir -p "$subpkgdir"/usr/lib
> +	mkdir -p "$subpkgdir"/usr/bin
> +	cd "$_builddir"/swig/python
> +	python setup.py build || return 1
> +	python setup.py install --prefix=/usr --root="$subpkgdir"
> +        chmod a+x scripts/*
> +        cp scripts/* $subpkgdir/usr/bin/
> +}

This doesn't seem to be indented correctly and also contains
whitespaces. Please indent everything with tabs and remove the
whitespaces. Also it would probably be easier to install the scripts
using install(1) and pass -m755 but that's just a minor thing.

On 28.02.16, Trevor R.H. Clarke wrote:
> +package() {
> +	cd "$_builddir"
> +	install -Dm644 LICENSE.TXT "$pkgdir"/usr/share/licenses/$pkgname/LICENSE.TXT
> +        make DESTDIR="${pkgdir}" install || return 1                                                                                  
> +}

Again this contains whitespaces and the indention seems to be wrong.

Sören.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

Re: [alpine-aports] [PATCH 2/6] testing/py-affine: new aport

Trevor Clarke
Details
Message ID
<CABUPWcPZ+ZMyKX_TGrf_5R7rSRrzPspHPcy3vNUpQE=O=XvXxg@mail.gmail.com>
In-Reply-To
<20160318115037.138875e9@vostro.util.wtbts.net> (view parent)
Sender timestamp
1458306901
DKIM signature
missing
Download raw message
I'll look into these changes over the weekend.

On Fri, Mar 18, 2016 at 5:50 AM, Timo Teras <timo.teras@iki.fi> wrote:

> On Sun, 28 Feb 2016 20:54:49 -0500
> "Trevor R.H. Clarke" <trevor@notcows.com> wrote:
>
> > https://github.com/sgillies/affine
> > Matrices describing affine transformation of the plane.
> > ---
> >  testing/py-affine/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
> >  1 file changed, 36 insertions(+)
> >  create mode 100644 testing/py-affine/APKBUILD
> >
> > diff --git a/testing/py-affine/APKBUILD b/testing/py-affine/APKBUILD
> > new file mode 100644
> > index 0000000..14969ba
> > --- /dev/null
> > +++ b/testing/py-affine/APKBUILD
> > @@ -0,0 +1,36 @@
> > +# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
> > +# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
> > +pkgname=py-affine
> > +pkgver="1.2.0"
> > +pkgrel=0
> > +pkgdesc="Matrices describing affine transformation of the plane."
> > +url="https://github.com/sgillies/affine"
>
> > +build() {
> > +     cd "$_builddir"
> > +     pip install affine --no-deps --root "$_builddir"
> > +}
>
> Pip is used to download the package and will likely not match the one
> listed as pkgver. Please use the real versioned download path so the
> build reproducably gives the correct version.
>
> The same applies for patches 3-6. I did apply the first patch along
> with the fixup commit flattened to it.
>
> We should probably add some helper to create APKBUILD for pip packages
> similar to perl cpan and ruby.
>

Re: [alpine-aports] [PATCH 2/6] testing/py-affine: new aport

Timo Teras
Details
Message ID
<20160318115037.138875e9@vostro.util.wtbts.net>
In-Reply-To
<1456710893-45438-2-git-send-email-trevor@notcows.com> (view parent)
Sender timestamp
1458294637
DKIM signature
missing
Download raw message
On Sun, 28 Feb 2016 20:54:49 -0500
"Trevor R.H. Clarke" <trevor@notcows.com> wrote:

> https://github.com/sgillies/affine
> Matrices describing affine transformation of the plane.
> ---
>  testing/py-affine/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
>  1 file changed, 36 insertions(+)
>  create mode 100644 testing/py-affine/APKBUILD
> 
> diff --git a/testing/py-affine/APKBUILD b/testing/py-affine/APKBUILD
> new file mode 100644
> index 0000000..14969ba
> --- /dev/null
> +++ b/testing/py-affine/APKBUILD
> @@ -0,0 +1,36 @@
> +# Contributor: Trevor R.H. Clarke <trevor@notcows.com>
> +# Maintainer: Trevor R.H. Clarke <trevor@notcows.com>
> +pkgname=py-affine
> +pkgver="1.2.0"
> +pkgrel=0
> +pkgdesc="Matrices describing affine transformation of the plane."
> +url="https://github.com/sgillies/affine"

> +build() {
> +	cd "$_builddir"
> +	pip install affine --no-deps --root "$_builddir"
> +}

Pip is used to download the package and will likely not match the one
listed as pkgver. Please use the real versioned download path so the
build reproducably gives the correct version.

The same applies for patches 3-6. I did apply the first patch along
with the fixup commit flattened to it.

We should probably add some helper to create APKBUILD for pip packages
similar to perl cpan and ruby.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---